libsigc++ 2.0: sigc::volatile_mem_functor0< T_return, T_obj > Class Template Reference

Main Page Groups Namespaces

# sigc::volatile_mem_functor0< T_return, T_obj > Class Template Reference
[mem_fun()]

volatile_mem_functor0 wraps volatile methods with 0 argument(s). More...

Inheritance diagram for sigc::volatile_mem_functor0< T_return, T_obj >:

[legend]

List of all members.

## Public Types
typedef T_return(T_obj::* | function_type )() volatile
typedef T_return | result_type
## Public Member Functions
| volatile_mem_functor0 ()
| Constructs an invalid functor.
| volatile_mem_functor0 (function_type _A_func)
| Constructs a volatile_mem_functor0 object that wraps the passed method.
T_return | operator() (T_obj* _A_obj) const
| Execute the wrapped method operating on the passed instance.
T_return | operator() (T_obj& _A_obj) const
| Execute the wrapped method operating on the passed instance.
## Protected Attributes
function_type | func_ptr_

## Detailed Description

### template <class T_return, class T_obj>
class sigc::volatile_mem_functor0< T_return, T_obj >

volatile_mem_functor0 wraps volatile methods with 0 argument(s).

Use the convenience function mem_fun() to create an instance of volatile_mem_functor0.

The following template arguments are used:

- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

template <class T_return, class T_obj>

typedef T_return(T_obj::* sigc::volatile_mem_functor0<T_return, T_obj>::function_type)() volatile

Reimplemented in sigc::bound_volatile_mem_functor0<T_return, T_obj>.

template <class T_return, class T_obj>

typedef T_return sigc::volatile_mem_functor0<T_return, T_obj>::result_type

## Constructor & Destructor Documentation

template <class T_return, class T_obj>

sigc::volatile_mem_functor0<T_return, T_obj>::volatile_mem_functor0 | ( |  | ) | `[inline]`

Constructs an invalid functor.

template <class T_return, class T_obj>

sigc::volatile_mem_functor0<T_return, T_obj>::volatile_mem_functor0 | ( | function_type | _A_func | ) | `[inline, explicit]`

Constructs a volatile_mem_functor0 object that wraps the passed method.

Parameters:

  | _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return, class T_obj>

T_return sigc::volatile_mem_functor0<T_return, T_obj>::operator() | ( | T_obj * | _A_obj | ) | const`[inline]`

Execute the wrapped method operating on the passed instance.

Parameters:

  | _A_obj | Pointer to instance the method should operate on.

Returns:
  The return value of the method invocation.

template <class T_return, class T_obj>

T_return sigc::volatile_mem_functor0<T_return, T_obj>::operator() | ( | T_obj & | _A_obj | ) | const`[inline]`

Execute the wrapped method operating on the passed instance.

Parameters:

  | _A_obj | Reference to instance the method should operate on.

Returns:
  The return value of the method invocation.

## Member Data Documentation

template <class T_return, class T_obj>

function_type sigc::volatile_mem_functor0<T_return, T_obj>::func_ptr_`[protected]`

The documentation for this class was generated from the following file:

- mem_fun.h